Package tigase.db

## Class DataSourceHelper

- java.lang.Object
- - tigase.db.DataSourceHelper

-     public class DataSourceHelper
      extends java.lang.Object

  Created by andrzej on 15.03.2016.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `DataSourceHelper.Matcher` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataSourceHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T extends java.lang.Class<?>> java.util.Set<T>` | `getAnnotatedClasses​(T cls)` |
    `static <T extends java.lang.Class<?>> T` | `getDefaultClass​(T cls, java.lang.String uri)` | Method returns class which would be by default used as implementation of class
    `static <T extends java.lang.Class<?>> T` | `getDefaultClass​(T cls, java.lang.String uri, DataSourceHelper.Matcher matcher)` |
    `static java.lang.String` | `getDefaultClassName​(java.lang.Class cls, java.lang.String uri)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceHelper

          public DataSourceHelper()

  - ### Method Detail

    - #### getAnnotatedClasses

          public static <T extends java.lang.Class<?>> java.util.Set<T> getAnnotatedClasses​(T cls)

    - #### getDefaultClass

          public static <T extends java.lang.Class<?>> T getDefaultClass​(T cls,
                                                                         java.lang.String uri,
                                                                         DataSourceHelper.Matcher matcher)
                                                                  throws DBInitException

      Throws:
        `DBInitException`

    - #### getDefaultClass

          public static <T extends java.lang.Class<?>> T getDefaultClass​(T cls,
                                                                         java.lang.String uri)
                                                                  throws DBInitException

      Method returns class which would be by default used as implementation of class
      Throws:
        `DBInitException`

    - #### getDefaultClassName

          public static java.lang.String getDefaultClassName​(java.lang.Class cls,
                                                             java.lang.String uri)
                                                      throws DBInitException

      Throws:
        `DBInitException`